summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO17
-rw-r--r--632234.patch51
-rw-r--r--PKGBUILD30
3 files changed, 98 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..521d91303d7
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = pypoker-eval
+ pkgdesc = python adaptor for the poker-eval toolkit
+ pkgver = 138.0
+ pkgrel = 4
+ url = http://pokersource.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = poker-eval
+ depends = python2
+ source = http://download.gna.org/pokersource/sources/pypoker-eval-138.0.tar.gz
+ source = 632234.patch
+ md5sums = 751cad1e5c18c7c2f36a086a937193aa
+ md5sums = 5ab7bf686ea3d6181870a438a311954d
+
+pkgname = pypoker-eval
+
diff --git a/632234.patch b/632234.patch
new file mode 100644
index 00000000000..c563420464d
--- /dev/null
+++ b/632234.patch
@@ -0,0 +1,51 @@
++++ pypoker-eval-138.0/Makefile.am
+@@ -32,6 +32,14 @@
+ python_PYTHON = \
+ pokereval.py
+
++if PYTHON_2_7
++py2_7exec_LTLIBRARIES = _pokereval_2_7.la
++_pokereval_2_7_la_SOURCES = pypokereval.c
++_pokereval_2_7_la_LDFLAGS = -module -no-undefined -version-info 1:0:0
++_pokereval_2_7_la_LIBADD = ${PYTHON2_7_LIBS} ${POKER_EVAL_LIBS}
++_pokereval_2_7_la_CFLAGS = ${PYTHON2_7_CFLAGS} ${POKER_EVAL_CFLAGS} -DPYTHON_VERSION=\"2_7\" -D'VERSION_NAME(w)=w\#\#2_7'
++endif
++
+ if PYTHON_2_6
+ py2_6exec_LTLIBRARIES = _pokereval_2_6.la
+ _pokereval_2_6_la_SOURCES = pypokereval.c
+only in patch2:
+unchanged:
+--- pypoker-eval-138.0.orig/config/ccpython.m4
++++ pypoker-eval-138.0/config/ccpython.m4
+@@ -110,7 +110,7 @@
+
+ AC_DEFUN([ALL_CC_PYTHON],
+ [
+-m4_define([_AM_PYTHON_INTERPRETER_LIST], [python2.6 python2.5 python2.4 python2.3])
++m4_define([_AM_PYTHON_INTERPRETER_LIST], [python2.7 python2.6 python2.5 python2.4 python2.3])
+ PYTHONS=''
+ found_one=''
+ _ONE_CC_PYTHON([=2.3], [2_3])
+@@ -124,6 +124,9 @@
+ unset PYTHON
+ _ONE_CC_PYTHON([=2.6], [2_6])
+ if test -f "$PYTHON" ; then found_one=$PYTHON ; PYTHONS="$PYTHON $PYTHONS" ; fi
++unset PYTHON
++_ONE_CC_PYTHON([=2.7], [2_7])
++if test -f "$PYTHON" ; then found_one=$PYTHON ; PYTHONS="$PYTHON $PYTHONS" ; fi
+ PYTHON=$found_one
+ if ! test "$found_one" ; then
+ AC_MSG_ERROR([No python development environments found])
+only in patch2:
+--
++++ pypoker-eval-138.0/config/python.m4
+@@ -42,7 +42,7 @@
+ dnl $prefix/lib/site-python in 1.4 to $prefix/lib/python1.5/site-packages
+ dnl in 1.5.
+ m4_define_default([_AM_PYTHON_INTERPRETER_LIST],
+- [python python2 python2.5 python2.6 python2.4 python2.3 python2.2 dnl
++ [python python2 python2.7 python2.5 python2.6 python2.4 python2.3 python2.2 dnl
+ python2.1 python2.0 python1.6 python1.5])
+
+ m4_if([$1],[],[
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..03b44a5e2e0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributors: Eduard "bekks" Warkentin <eduard.warkentin@gmail.com>
+# Maintainer: Milan Hrabánek <hrabi@linuxwaves.com>
+
+pkgname=pypoker-eval
+pkgver=138.0
+pkgrel=4
+pkgdesc="python adaptor for the poker-eval toolkit"
+arch=('i686' 'x86_64')
+url="http://pokersource.sourceforge.net/"
+license=(GPL)
+depends=(poker-eval python2)
+source=("http://download.gna.org/pokersource/sources/${pkgname}-${pkgver}.tar.gz" "632234.patch")
+md5sums=('751cad1e5c18c7c2f36a086a937193aa'
+ '5ab7bf686ea3d6181870a438a311954d')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ patch -p1 < ../632234.patch
+
+ automake --add-missing --copy || echo "automake exit status: $?"
+ autoreconf -fi
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir/" install
+}